<?php
/**
 * Copyright (C) Leipzig University Library 2019.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2,
 * as published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA
 *
 * @author   Gregor Gawol <gawol@ub.uni-leipzig.de>
 * @license  http://opensource.org/licenses/gpl-2.0.php GNU General Public License
 */
namespace finc\Boss\AjaxHandler;

use fid\Service\Client;
use Interop\Container\ContainerInterface;

class GetBossFactory
{
    /**
     * Create an object
     *
     * @param ContainerInterface $container
     * @return mixed|object
     * @throws \Exception
     */
    public function __invoke(ContainerInterface $container)
    {
        $config = $container->get('VuFind\Config\PluginManager')->get('boss');
        return new GetBoss(
            $container->get('finc\BossClient'),
            $config,
            $container->get('VuFind\Record\Loader'),
            $container->get('Request'),
            $container->get(Client::class),
            $container->get('ViewRenderer')
        );
    }
}
